Bug 124616 - [PATCH] Prevent audio/mp3splt from segfaulting if vorbis file is split after mp3 file
Summary: [PATCH] Prevent audio/mp3splt from segfaulting if vorbis file is split after ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-06-15 16:40 UTC by Fabian Keil
Modified: 2008-06-25 05:30 UTC (History)
0 users

See Also:


Attachments
file.diff (1.28 KB, patch)
2008-06-15 16:40 UTC, Fabian Keil
no flags Details | Diff
mp3splt-2.1c-3.diff (1.49 KB, patch)
2008-06-15 17:56 UTC, Fabian Keil
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Fabian Keil 2008-06-15 16:40:00 UTC
audio/mp3splt segfaults if a vorbis file is split
after a mp3 file. The attached patch prevents that.

I already reported the problem upstream:
https://sourceforge.net/tracker/?func=detail&atid=476061&aid=1953386&group_id=55130
but it seems that they are busy rewriting mp3splt,
thus the old one is no longer actively maintained
and waiting for a new release may take a while.

Fix: Patch attached with submission follows:
How-To-Repeat: fk@TP51 /tank/iriver-spiegel/podcasts/split $mp3splt -t 5.00 ../bsdtalk14*
Mp3Splt 2.1c (2005/Apr/03) by Matteo Trotta <matteo.trotta@lib.unimib.it>
THIS SOFTWARE COMES WITH ABSOLUTELY NO WARRANTY! USE AT YOUR OWN RISK!
./bsdtalk143.mp3:
MPEG 1 Layer 3 - 44100 Hz - Mono - 64 Kb/s - Total time: 22m.45s
Splitting bsdtalk143_000.00_005.00.mp3... OK
[...]
Splitting bsdtalk143_020.00_025.00.mp3... OK (WARNING)
Warning: mp3 might be VBR. You should use -f option.
./bsdtalk143.ogg:
Ogg Vorbis Stream - 44100 - 93 Kb/s - 1 channels - Total time: 22m.45s
Splitting bsdtalk143_000.00_005.00.ogg... OK
[...]
Splitting bsdtalk143_020.00_025.00.ogg... OK (EOF)
./bsdtalk144.mp3:
Segmentation fault: 11 (core dumped)
Comment 1 Edwin Groothuis freebsd_committer 2008-06-15 16:40:09 UTC
Maintainer of audio/mp3splt,

Please note that PR ports/124616 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/124616

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2008-06-15 16:40:13 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Ulrich Spoerlein 2008-06-15 17:10:07 UTC
Hi Fabian,

looks ok to me. Might you even be interessted in maintaining the port?

Cheers,
Ulrich Spoerlein
Comment 4 Fabian Keil 2008-06-15 17:56:07 UTC
Ulrich Spoerlein <uspoerlein@gmail.com> wrote:

> looks ok to me. Might you even be interessted in maintaining the port?

Sure, thanks. The attached patch additionally changes MAINTAINER to my address.

Fabian
Comment 5 Felippe de Meirelles Motta freebsd_committer 2008-06-21 00:10:06 UTC
State Changed
From-To: feedback->open

Maintainer has approved.
Comment 6 dfilter service freebsd_committer 2008-06-25 05:25:37 UTC
adamw       2008-06-25 04:25:32 UTC

  FreeBSD ports repository

  Modified files:
    audio/mp3splt        Makefile 
  Added files:
    audio/mp3splt/files  patch-mp3splt.c 
  Log:
  Add a fix to prevent a segfault when an mp3 file is followed by a
  Vorbis file.
  
  Transfer maintainership to the submitter, at the request of the
  previous maintainer.
  
  PR:             ports/124616
  Submitted by:   Fabian Keil <fk@fabiankeil.de>
  Approved by:    Original maintainer (uspoerlein@mgail.com)
  
  Revision  Changes    Path
  1.21      +2 -2      ports/audio/mp3splt/Makefile
  1.1       +16 -0     ports/audio/mp3splt/files/patch-mp3splt.c (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Adam Weinberger freebsd_committer 2008-06-25 05:25:44 UTC
State Changed
From-To: open->closed

Committed. Thanks! 

Maintainership has also been transferred per request.